import "./tasks/spladder_merge.wdl" as spladder_merge


workflow {{ project_name }} {
    String sample_id
    File bam
    File pickle
    File reference_gtf_file
    File samples

    String spladder_docker
    String spladder_cluster
    String disk_size	

	call spladder_merge.spladder_merge as spladder_merge {
		input:
		reference_gtf_file=reference_gtf_file,
		sample_id=sample_id,
		bam=bam,
		pickle=pickle,
		samples=samples,
		docker=spladder_docker,
		cluster=spladder_cluster,
		disk_size=disk_size
	}
}